Bug 126124 - kernel-2.6.6-1.435 disables interrupt kills eth0
kernel-2.6.6-1.435 disables interrupt kills eth0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 07:59 EDT by Neal Becker
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 22:56:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2004-06-16 07:59:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Jun 16 07:51:01 rpppc1 kernel: ehci_hcd 0000:00:02.2: EHCI Host Controller
Jun 16 07:51:01 rpppc1 kernel: ehci_hcd 0000:00:02.2: irq 11, pci mem 4286c000
Jun 16 07:51:01 rpppc1 kernel: ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 1
Jun 16 07:51:01 rpppc1 kernel: irq 11: nobody cared! (screaming interrupt?)
Jun 16 07:51:01 rpppc1 kernel: Stack pointer is garbage, not printing trace
Jun 16 07:51:01 rpppc1 kernel: handlers:
Jun 16 07:51:01 rpppc1 kernel: [<428c28a5>] (ahc_linux_isr+0x0/0x1ec [aic7xxx])
Jun 16 07:51:01 rpppc1 kernel: [<022169f4>] (usb_hcd_irq+0x0/0x4b)
Jun 16 07:51:01 rpppc1 kernel: Disabling IRQ #11

Oh, thanks a fscking lot.  That's the interrupt for my ethernet also.  Eth0 doesn't work with this kernel.

Jun 16 07:51:01 rpppc1 kernel: tulip0:  MII transceiver #1 config 3000 status 7829 advertising 01e1.
Jun 16 07:51:01 rpppc1 kernel: eth0: Lite-On 82c168 PNIC rev 32 at 0x428ad000, 02:00:09:E3:83:07, IRQ 11.


Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435 (also kernel-2.6.6-1.427)

How reproducible:
Always

Steps to Reproduce:
1.boot
2.
3.
    

Additional info:
Comment 1 Daniel 2004-06-18 13:52:35 EDT
I am having the same kind of problem here on my Soyo SY-KT600
motherboard with an AMD Athlon XP-2700 (Thoroughbred).  It looks to me
as if the kernel somehow thinks IRQ 5 is really IRQ 10 on my system,
which messes EVERYTHING up.  Could if have anything to do with the
fact that it mis-identifies my chipset as a VIA CL266 (when it is
really a KT600)?
Comment 2 Alan Cox 2004-06-18 22:54:36 EDT
Boot with the option "acpi=off"  and see if that helps, also try the
errata kernel
Comment 3 Neal Becker 2004-07-09 07:35:02 EDT
No, acpi=off doesn't help.  The problem still exists in 
kernel-2.6.6-1.435.2.3 
 
What is "errata kernel?" 
Comment 4 Neal Becker 2004-08-04 14:15:12 EDT
Problem is resolved by 2.6.7-1.494.2.2 

Note You need to log in before you can comment on or make changes to this bug.